<?php 
if (isset($_POST['info_update'])) 
{
	$updateOption = false;
	
	// Save Mobile stylesheet
	$file = WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'style.css';
	architect_check_path(WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR);
	
	if(is_readable($file))
	{
		$stylesheet = file_get_contents($file);
	} else
	{
		$stylesheet = '';
	}
	
	if(!file_exists($file))
	{
		// Create file if it doesn't exist
		@file_put_contents($file, "");
	}
	
	if(is_writable($file))
	{
		if(stripslashes($_POST['architect_stylesheet']) != $stylesheet)
		{
			if(file_put_contents($file, stripslashes($_POST['architect_stylesheet'])))
			{
				$updateOption = true;
			}
		}
	} else
	{
		echo '<div class="updated architectInitError"><p>"'.$file.'" is not writable - change the permissions to save the stylesheet!</p></div>';
	}
	
	// Save custom stylesheet
	$custom_file = WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'custom_style.css';
	
	if(is_readable($custom_file))
	{
		$custom_stylesheet = file_get_contents($custom_file);
	} else
	{
		$custom_stylesheet = '';
	}
	
	if(!file_exists($custom_file))
	{
		// Create file if it doesn't exist
		@file_put_contents($custom_file, "");
	}
	
	if(is_writable($custom_file))
	{
		if(stripslashes($_POST['architect_custom_stylesheet']) != $custom_stylesheet)
		{
			if(file_put_contents($custom_file, stripslashes($_POST['architect_custom_stylesheet'])))
			{
				$updateOption = true;
			}
		}
	} else
	{
		echo '<div class="updated architectInitError"><p>"'.$custom_file.'" is not writable - change the permissions to save the stylesheet!</p></div>';
	}
}

if(isset($updateOption) AND $updateOption == true)
{
	echo "<div class='updated fade'><p><strong>Settings saved</strong></p></div>";
}

if(!isset($oldVersion) OR $oldVersion == false)
{
	echo '<div class="wrap">';
	echo '<form method="post" action="admin.php?page=architect-theme" enctype="multipart/form-data">';

	echo architect_admin_header('2', 'Wapple Architect Mobile Theme Settings');
} else
{
	echo '<h3>Mobile Theme Settings</h3>';
}

echo architect_table_start();

echo '<tr><td colspan="2"><p>Changing styles allows you to have greater control over how your blog looks on mobile.</p>';
echo '<p>The Wapple Architect Mobile Plugin has 2 mobile stylesheets for you to change, the first one resets some defaults that may have been set by your web theme, the second is for you to change as much as you want to achieve a great looking mobile site. There are some placeholder styles to help get you started!</p>';
echo '<p>For more information about styles in general plus a sandbox area to test, check out <a target="_blank" href="http://www.w3schools.com/css/">w3schools.com</a> and for a more detailed breakdown of what styles are generally available on mobile, head over to <a href="http://www.w3.org/TR/css-mobile/" target="_blank">w3.org</a></p></td></tr>';

// Mobile stylesheet
if(file_exists(WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'style.css'))
{
	$file = WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'style.css';
} else
{
	$file = WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'style.css';
}

echo architect_admin_option('textarea', array('label' => 'Mobile Stylesheet', 'name' => 'architect_stylesheet', 'value' => file_get_contents($file)));

// Custom stylesheet
if(file_exists(WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'custom_style.css'))
{
	$file = WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'custom_style.css';
} else
{
	$file = WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'custom_style.css';
}
echo architect_admin_option('textarea', array('label' => 'Custom Mobile Stylesheet', 'name' => 'architect_custom_stylesheet', 'value' => file_get_contents($file)));

echo '</table>';

if(!isset($oldVersion) OR $oldVersion == false)
{
	echo '<table class="form-table" cellspacing="2" cellpadding="5" width="100%"><tr><td><p class="submit"><input class="button-primary" type="submit" name="info_update" value="Save Changes" /></p></td></tr></table>';
	echo '</form></div>';
}

?>