<?php 
$wapl = new WordPressWapl;
$waplString = '';

query_posts($queryStringOptions['queryString']);

if(!isset($queryStringOptions['showFirstImage'])) $queryStringOptions['showFirstImage'] = false;
if(!isset($queryStringOptions['showNavHome'])) $queryStringOptions['showNavHome'] = false;
if(!isset($queryStringOptions['homeText'])) $queryStringOptions['homeText'] = '';

if(have_posts())
{
	$i = 2;

	// Get access key value
	$accessKey = get_option('architect_accesskeys');
	
	// Set image scale and quality
	$homepagescale = ARCHITECT_HOME_IMAGESCALE;
	$getVal = get_option('architect_home_imagescale');
	if($getVal)
	{
		$homepagescale = $getVal;
	}
	$homepagequality = ARCHITECT_HOME_IMAGEQUALITY;
	$getVal = get_option('architect_home_imagequality');
	if($getVal)
	{
		$homepagequality = $getVal;
	}
	
	// Get show author value
	$getShowAuthor = get_option('architect_showauthor');
	// Get show date value
	$getShowDate = get_option('architect_home_showdate');
	// Get show excerpt value
	$getShowExcerpt = get_option('architect_home_showexcerpt');
	
	while(have_posts())
	{
		the_post();
		
		$architect_home_showfirstimage = $queryStringOptions['showFirstImage'];
		
		// Title
		if($accessKey && $i < 10)
		{
			$accessKeyVal = $i;
		} else
		{
			$accessKeyVal = false;
		}
		
		$excerptOrig = get_the_excerpt();
		
		if(isset($queryStringOptions['removeCaptions']) && $queryStringOptions['removeCaptions'] == true)
		{
			$excerptOrig = preg_replace('/\[caption(.*?)\[\/caption\]/', '', $excerptOrig);
		}
		if($architect_home_showfirstimage)
		{
			global $more;
			$more = 1;
			$excerptImg = get_the_content();
		
			// Get first image in post
			$src = str_get_html($excerptImg);
			$firstImageAll = $src->find("img");
			$firstImage = false;
			foreach($firstImageAll as $val)
			{
				if(doScaleImage($val->class))
				{
					$firstImage = $val;
					break;
				}
			}
			
			if($firstImage)
			{
				$doRow = false;
				$doCell = true;
				$waplString .= '<row class="entry_row h2">';
				
				if($getShowDate)
				{
					$doCell = false;
					$waplString .= '<cell class="entry_row h2 imagePreview">';
				}
				$waplString .= $wapl->link(array('accessKey' => $accessKeyVal, 'row' => $doRow, 'cell' => $doCell, 'rowClass' => 'entry_row h2 imagePreview', 'display_as' => 'h2', 'label' => architectCharsOther(get_the_title()), 'url' => htmlspecialchars(apply_filters('the_permalink', get_permalink()))));
				
				if($getShowDate)
				{
					$waplString .= $wapl->chars(array('row' => false, 'cell' => false, 'class' => 'post-date', 'make_safe' => true, 'value' => apply_filters('the_time', get_the_time('F jS, Y'), 'F jS, Y')));
					$waplString .= '</cell>';
				}
				
				$waplString .= $wapl->image(array('row' => false, 'cellClass' => 'homePageImage', 'url' => htmlspecialchars($firstImage->src), 'filetype' => substr($firstImage->src,-3), 'scale' => $homepagescale, 'quality' => $homepagequality, 'transcol' => get_option('architect_home_transcol')));
				$waplString .= '</row>';
			} else
			{
				$waplString .= $wapl->link(array('accessKey' => $accessKeyVal, 'rowClass' => 'entry_row h2', 'display_as' => 'h2', 'label' => architectCharsOther(get_the_title()), 'url' => htmlspecialchars(apply_filters('the_permalink', get_permalink()))));
				
				if($getShowDate)
				{
					$waplString .= $wapl->chunk('words', array('class' => 'post-date', 'quick_text' => apply_filters('the_time', get_the_time('F jS, Y'), 'F jS, Y')));
				}
			}
		} else
		{
			$waplString .= $wapl->link(array('accessKey' => $accessKeyVal, 'rowClass' => 'entry_row h2', 'display_as' => 'h2', 'label' => architectCharsOther(get_the_title()), 'url' => htmlspecialchars(apply_filters('the_permalink', get_permalink()))));
			if($getShowDate)
			{
				$waplString .= $wapl->chunk('words', array('class' => 'post-date', 'quick_text' => apply_filters('the_time', get_the_time('F jS, Y'), 'F jS, Y')));
			}
		}
		
		// Show the author
		if($getShowAuthor)
		{
			$authorUrl = htmlspecialchars(get_author_posts_url(get_the_author_ID()));
			$waplString .= $wapl->link(array('cellClass' => 'author', 'prefix' => 'Written by: ', 'label' => get_the_author(), 'url' => $authorUrl));
		}
		
		if($getShowExcerpt)
		{
			if(!$excerptLength = get_option('architect_home_excerpt_override'))
			{
				$excerptLength = 300;
			}

			if(strlen($excerptOrig) > $excerptLength)
			{
				$excerpt = strip_tags(substr($excerptOrig, 0, $excerptLength)).'...';
			}  else
			{
				$excerpt = $excerptOrig;
			}
			$content = $wapl->format_text($excerpt, $homepagescale, $homepagequality, 'entry_row', null, get_option('architect_home_transcol'));
			$waplString .= $wapl->chunk('words', array('class' => 'entry_row excerpt', 'quick_text' => $content));
		}
		$i++;	
	}
	
	// Get next posts page
	global $paged, $wp_query;
	$max_page = 0;

	if ( !$max_page ) 
	{
		$max_page = $wp_query->max_num_pages;
	}

	if ( !$paged )
	{
		$paged = 1;
	}
	$nextpage = intval($paged) + 1;

	if ( !is_single() && ( empty($paged) || $nextpage <= $max_page) ) {
		$nextUrl = next_posts( $max_page, false );
	}
	
	if(isset($queryStringOptions['showNav']) && $queryStringOptions['showNav'] == true)
	{
		$navString = '<wordsChunk class="navigation archiveNavigation"><quick_text>';
		$prevlink = '';
		$nextlink = '';
		$emptyCell = true;
		
		if($queryStringOptions['showNavHome'] == true)
		{
			$navString .= '[url='.htmlspecialchars(get_option('home')).']'.stripslashes($queryStringOptions['homeText']).'[/url]';
			$emptyCell = false;
		}
	
		if(isset($nextUrl))
		{
			if($emptyCell == false)
			{
				$navString .= ' | ';
			}
			$navString .= '[url='.htmlspecialchars(str_replace('&#038;', '&', $nextUrl)).']'.stripslashes($queryStringOptions['olderText']).'[/url]';
			$emptyCell = false;
		}
		
		if ( !is_single() && $paged > 1 ) 
		{
			$prevUrl = previous_posts( false );
		}
		
		if(isset($prevUrl))
		{
			if($emptyCell == false)
			{
				$navString .= ' | ';
			}
			$navString .= '[url='.htmlspecialchars(str_replace('&#038;', '&', $prevUrl)).']'.stripslashes($queryStringOptions['newerText']).'[/url]';
			$emptyCell = false;
			
		}
		
		$navString .= '</quick_text></wordsChunk>';
		
		$waplString .= $navString;
	}
} else
{
	$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => 'Not Found'));
	$waplString .= $wapl->chunk('words', array('quick_text' => 'Sorry, but you are looking for something that isn\'t here.'));
}

return $waplString;
?>